- Qt 6.8
- Qt 3D
- C++ Classes
- Qt3DRender (Deprecated)
- QClearBuffers
- Qt 6.8.2 Reference Documentation

# QClearBuffers Class

class Qt3DRender::QClearBuffers

Class to clear buffers. More...

Header: | `#include <QClearBuffers>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS 3drender)` `target_link_libraries(mytarget PRIVATE Qt6::3drender)`
qmake: | `QT += 3drender`
In QML: | ClearBuffers
Inherits: | Qt3DRender::QFrameGraphNode
Status: | Deprecated

- List of all members, including inherited members

## Public Types

enum | BufferType { None, ColorBuffer, DepthBuffer, StencilBuffer, DepthStencilBuffer, …, AllBuffers }
flags | BufferTypeFlags

## Properties

buffers : BufferType clearColor : QColor clearDepthValue : float | clearStencilValue : int colorBuffer : Qt3DRender::QRenderTargetOutput*

## Public Functions

| QClearBuffers(Qt3DCore::QNode *parent = nullptr)
Qt3DRender::QClearBuffers::BufferType | buffers() const
QColor | clearColor() const
float | clearDepthValue() const
int | clearStencilValue() const
Qt3DRender::QRenderTargetOutput * | colorBuffer() const

## Public Slots

void | setBuffers(Qt3DRender::QClearBuffers::BufferType buffers)
void | setClearColor(const QColor &color)
void | setClearDepthValue(float clearDepthValue)
void | setClearStencilValue(int clearStencilValue)
void | setColorBuffer(Qt3DRender::QRenderTargetOutput *buffer)

## Signals

void | buffersChanged(Qt3DRender::QClearBuffers::BufferType buffers)
void | clearColorChanged(const QColor &color)
void | clearDepthValueChanged(float clearDepthValue)
void | clearStencilValueChanged(int clearStencilValue)
void | colorBufferChanged(Qt3DRender::QRenderTargetOutput *buffer)

## Detailed Description

A Qt3DRender::QClearBuffers FrameGraph node enables clearing of the specific render target buffers with specific values.

## Member Type Documentation

### enum QClearBuffers::BufferType
flags QClearBuffers::BufferTypeFlags

This enum type describes types of buffer to be cleared.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QClearBuffers::None` | `0` | No buffers will be cleared
`Qt3DRender::QClearBuffers::ColorBuffer` | `(1 << 0)` | Clear color buffers
`Qt3DRender::QClearBuffers::DepthBuffer` | `(1 << 1)` | Clear depth buffer
`Qt3DRender::QClearBuffers::StencilBuffer` | `(1 << 2)` | Clear stencil buffer
`Qt3DRender::QClearBuffers::DepthStencilBuffer` | `DepthBuffer | StencilBuffer` | Clear depth and stencil buffers
`Qt3DRender::QClearBuffers::ColorDepthBuffer` | `ColorBuffer | DepthBuffer` | Clear color and depth buffers
`Qt3DRender::QClearBuffers::ColorDepthStencilBuffer` | `ColorBuffer | DepthStencilBuffer` | Clear color, depth and stencil buffers
`Qt3DRender::QClearBuffers::AllBuffers` | `0xFFFFFFFF` | Clear all buffers

The BufferTypeFlags type is a typedef for QFlags<BufferType>. It stores an OR combination of BufferType values.

## Property Documentation

### buffers : BufferType

Specifies the buffer type to be used.

Access functions:

Qt3DRender::QClearBuffers::BufferType | buffers() const
void | setBuffers(Qt3DRender::QClearBuffers::BufferType buffers)

Notifier signal:

void | buffersChanged(Qt3DRender::QClearBuffers::BufferType buffers)

### clearColor : QColor

Specifies the clear color to be used.

Access functions:

QColor | clearColor() const
void | setClearColor(const QColor &color)

Notifier signal:

void | clearColorChanged(const QColor &color)

### clearDepthValue : float

Specifies the clear depth value to be used.

Access functions:

float | clearDepthValue() const
void | setClearDepthValue(float clearDepthValue)

Notifier signal:

void | clearDepthValueChanged(float clearDepthValue)

### clearStencilValue : int

Specifies the stencil value to be used.

Access functions:

int | clearStencilValue() const
void | setClearStencilValue(int clearStencilValue)

Notifier signal:

void | clearStencilValueChanged(int clearStencilValue)

### colorBuffer : Qt3DRender::QRenderTargetOutput*

Specifies a specific color buffer to clear. If set to NULL (default), and ColorBuffer flag is set, all color buffers will be cleared.

Access functions:

Qt3DRender::QRenderTargetOutput * | colorBuffer() const
void | setColorBuffer(Qt3DRender::QRenderTargetOutput *buffer)

Notifier signal:

void | colorBufferChanged(Qt3DRender::QRenderTargetOutput *buffer)

## Member Function Documentation

### `[explicit]` QClearBuffers::QClearBuffers(Qt3DCore::QNode *parent = nullptr)

The constructor creates an instance with the specified parent.